#include <iostream>
#include <cstdio>

using namespace std;

int main() {
    string broj;
    string broj2;
    cin >> broj;
    cin >> broj2;
    if (broj[0]>broj2[0])cout<<broj[0];
    if (broj[0]==broj2[0])cout<<broj[0]<<broj[0];
	if (broj[0]<broj2[0])cout<<broj2[0];
    if (broj[1]>broj2[1])cout<<broj[1];
    if (broj[1]==broj2[1])cout<<broj[1]<<broj[1];
    if (broj[1]<broj2[1])cout<<broj2[1];
    if (broj[2]>broj2[2])cout<<broj[2];
    if (broj[2]==broj2[2])cout<<broj[2]<<broj[2];
    if (broj[2]<broj2[2])cout<<broj2[2];
    if (broj[3]>broj2[3])cout<<broj[3];
    if (broj[3]==broj2[3])cout<<broj[3]<<broj[3];
    if (broj[3]<broj2[3])cout<<broj2[3];
    if (broj[4]>broj2[4])cout<<broj[4];
    if (broj[4]==broj2[4])cout<<broj[4]<<broj[4];
    if (broj[4]<broj2[4])cout<<broj2[4];
    if (broj[5]>broj2[5])cout<<broj[5];
    if (broj[5]==broj2[5])cout<<broj[5]<<broj[5];
    if (broj[5]<broj2[5])cout<<broj2[5];
    if (broj[6]>broj2[6])cout<<broj[6];
    if (broj[6]==broj2[6])cout<<broj[6]<<broj[6];
    if (broj[6]<broj2[6])cout<<broj2[6];
    if (broj[7]>broj2[7])cout<<broj[7];
    if (broj[7]==broj2[7])cout<<broj[7]<<broj[7];
    if (broj[7]<broj2[7])cout<<broj2[7];
    if (broj[8]>broj2[8])cout<<broj[8];
    if (broj[8]==broj2[8])cout<<broj[8]<<broj[8];
    if (broj[8]<broj2[8])cout<<broj2[8];
    if (broj[9]>broj2[9])cout<<broj[9];
    if (broj[9]==broj2[9])cout<<broj[9]<<broj[9];
    if (broj[9]<broj2[9])cout<<broj2[9];
    return 0;
}